/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var semaforo = 0;

function buscar(x) {
    var fA = $("#fA").val();
    var fB = $("#fB").val();
    if (semaforo == 0) {
        semaforo = 1;
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/caja-consultas',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {fA: fA, fB: fB, x: x},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                $("#gifDetalles").show();
                document.getElementById("contenedor-busquedas").innerHTML = "";
                document.getElementById("contenedor-busquedas").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-busquedas").innerHTML = respuesta;
                semaforo = 0;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-busquedas").innerHTML = "";
                semaforo = 0;
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {
        console.log("PETICIÓN EN PROCESO, ESPERE...");
    }
}